$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.166.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.166.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '1DDE5887BB689862595E06F448B08084CEA130670C2798557B63304627BB40FC'
  checksumType = 'sha256'
  checksum64 = '1DDE5887BB689862595E06F448B08084CEA130670C2798557B63304627BB40FC'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.166-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
